## ros-iron-aws-sdk-cpp-vendor 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)
project(aws_sdk_cpp_vendor)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)
find_package(AWSSDK QUIET)

ament_vendor(${PROJECT_NAME}
  SATISFIED ${AWSSDK_FOUND}
  VCS_URL https://github.com/aws/aws-sdk-cpp.git
  VCS_VERSION 1.11.135
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-iron-aws-sdk-cpp-vendor (0.1.1-1jammy) jammy; urgency=high

  * fix: add missing dependency
  * Contributors: wep21

 -- Daisuke Nishimatsu <daisuke.nishimatsu1021@gmail.com>  Sun, 13 Aug 2023 15:00:00 -0000

ros-iron-aws-sdk-cpp-vendor (0.1.0-1jammy) jammy; urgency=high

  * fix: add missing dependency
  * feat: initial commit
  * Contributors: wep21

 -- Daisuke Nishimatsu <daisuke.nishimatsu1021@gmail.com>  Fri, 11 Aug 2023 15:00:00 -0000

=== debian/control ===
Source: ros-iron-aws-sdk-cpp-vendor
Section: misc
Priority: optional
Maintainer: Daisuke Nishimatsu <daisuke.nishimatsu1021@gmail.com>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, libssl-dev, ros-iron-ament-cmake, ros-iron-ament-cmake-vendor-package, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, zlib1g-dev, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-aws-sdk-cpp-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev, zlib1g-dev, ros-iron-ros-workspace
Description: A vendor package for aws-sdk-cpp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-aws-sdk-cpp-vendor//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
